Table of Contents

## Name

glXDestroyContext - destroy a GLX context

## C Specification

void glXDestroyContext( Display *dpy,

        GLXContext ctx )

eqn not supported

## Parameters

dpy
  Specifies the connection to the X server.
ctx
  Specifies the GLX context to be destroyed.

## Description

If the GLX rendering context ctx is not current to any thread, glXDestroyContext destroys it immediately. Otherwise, ctx is destroyed when it becomes not current to any thread. In either case, the resource ID referenced by ctx is freed immediately.

## Errors

GLXBadContext is generated if ctx is not a valid GLX context.

## See Also

glXCreateContext, glXMakeCurrent

Table of Contents

- Name
- C Specification
- Parameters
- Description
- Errors
- See Also